﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebGrid_Delete_Range_jQuery_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            CustomersEntities entities = new CustomersEntities();
            List<Customer> customers = entities.Customers.ToList();
            return View(customers.ToList());
        }

        [HttpPost]
        public ActionResult DeleteCustomers(int[] customerIds)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                entities.Customers.RemoveRange(entities.Customers.Where(c => customerIds.Contains(c.CustomerId)));
                entities.SaveChanges();
            }

            return new EmptyResult();
        }
    }
}